org.richfaces.fragment.collapsibleSubTableToggler

## Class RichFacesCollapsibleSubTableToggler

- java.lang.Object
- - org.richfaces.fragment.collapsibleSubTableToggler.RichFacesCollapsibleSubTableToggler

-     public class RichFacesCollapsibleSubTableToggler
      extends Object

  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCollapsibleSubTableToggler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.openqa.selenium.WebElement` | `getElementWithStyleClass()`
    `org.openqa.selenium.WebElement` | `getRoot()`
    `org.openqa.selenium.WebElement` | `getVisibleImage()`
    `org.openqa.selenium.WebElement` | `getVisibleLabel()`
    `boolean` | `isExpanded()`
    `boolean` | `isVisible()`
    `void` | `setToggleBy()`
    `void` | `setToggleByImage()`
    `void` | `setToggleByLabel()`
    `void` | `setToggleEvent()`
    `void` | `setToggleEvent(Event e)`
    `void` | `toggle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesCollapsibleSubTableToggler

          public RichFacesCollapsibleSubTableToggler()

  - ### Method Detail

    - #### getRoot

          public org.openqa.selenium.WebElement getRoot()

    - #### getVisibleImage

          public org.openqa.selenium.WebElement getVisibleImage()

    - #### getVisibleLabel

          public org.openqa.selenium.WebElement getVisibleLabel()

    - #### isExpanded

          public boolean isExpanded()

    - #### isVisible

          public boolean isVisible()

    - #### setToggleBy

          public void setToggleBy()

    - #### setToggleByImage

          public void setToggleByImage()

    - #### setToggleByLabel

          public void setToggleByLabel()

    - #### setToggleEvent

          public void setToggleEvent()

    - #### setToggleEvent

          public void setToggleEvent(Event e)

    - #### toggle

          public void toggle()

    - #### getElementWithStyleClass

          protected org.openqa.selenium.WebElement getElementWithStyleClass()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.